Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class FacesValidatorServiceImpl

    java.lang.Object
      org.richfaces.validator.FacesServiceBase<javax.faces.validator.Validator>
          org.richfaces.validator.FacesValidatorServiceImpl

All Implemented Interfaces:
  org.richfaces.validator.FacesValidatorService

    public class FacesValidatorServiceImpl

extends FacesServiceBase<javax.faces.validator.Validator>
implements org.richfaces.validator.FacesValidatorService

Author:
  asmirnov

Constructor Summary
`FacesValidatorServiceImpl()`

Method Summary
`protected void` | `fillParameters(BaseFacesObjectDescriptor<javax.faces.validator.Validator> descriptor, javax.faces.validator.Validator component)`
`protected java.lang.String` | `getMessageId(javax.faces.validator.Validator component)`
`org.richfaces.validator.ValidatorDescriptor` | `getValidatorDescription(javax.faces.context.FacesContext context, javax.faces.component.EditableValueHolder input, javax.faces.validator.Validator validator, java.lang.String validatorMessage)`

Methods inherited from class org.richfaces.validator.FacesServiceBase
`getMessage, setLabelParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesValidatorServiceImpl

    public FacesValidatorServiceImpl()

Method Detail

### getValidatorDescription

    public org.richfaces.validator.ValidatorDescriptor getValidatorDescription(javax.faces.context.FacesContext context,
                                                                               javax.faces.component.EditableValueHolder input,
                                                                               javax.faces.validator.Validator validator,
                                                                               java.lang.String validatorMessage)

  Specified by:
    `getValidatorDescription` in interface `org.richfaces.validator.FacesValidatorService`

### getMessageId

    protected java.lang.String getMessageId(javax.faces.validator.Validator component)

  Specified by:
    `getMessageId` in class `FacesServiceBase<javax.faces.validator.Validator>`

### fillParameters

    protected void fillParameters(BaseFacesObjectDescriptor<javax.faces.validator.Validator> descriptor,
                                  javax.faces.validator.Validator component)

  Overrides:
    `fillParameters` in class `FacesServiceBase<javax.faces.validator.Validator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.